org.apache.fop.render.intermediate.extensions

## Class AbstractAction

- java.lang.Object
- - org.apache.fop.render.intermediate.extensions.AbstractAction

All Implemented Interfaces:
  org.apache.xmlgraphics.util.XMLizable

Direct Known Subclasses:
  GoToXYAction, URIAction

    public abstract class AbstractAction
    extends Object
    implements org.apache.xmlgraphics.util.XMLizable

Abstract base class for document actions, like "go-to" actions with absolute page coordinates.

### Constructor Summary

Constructors
Constructor and Description
`AbstractAction()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`String` `getID()` Returns an optional ID for this action.
`String` `getIDPrefix()` Returns a string that is used to prefix a generated ID to make it unique.
`StructureTreeElement` `getStructureTreeElement()` Returns the structure element corresponding to this action.
`boolean` `hasID()` Indicates whether the action has an ID and is therefore referencable.
`boolean` `isComplete()` Indicates whether the action is complete, i.e has all the required information to be rendered in the target format.
`abstract boolean` `isSame(AbstractAction other)` Indicates whether two action are equal.
`void` `setID(String id)` Sets an ID to make the action referencable.
`void` `setStructureTreeElement(StructureTreeElement structureTreeElement)` Sets the structure element corresponding to this action.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.xmlgraphics.util.XMLizable

`toSAX`

### Constructor Detail

#### AbstractAction

    public AbstractAction()

### Method Detail

#### setID

    public void setID(String id)

Sets an ID to make the action referencable.

Parameters:
  `id` - the ID

#### getID

    public String getID()

Returns an optional ID for this action.

Returns:
  the ID or null

#### setStructureTreeElement

    public void setStructureTreeElement(StructureTreeElement structureTreeElement)

Sets the structure element corresponding to this action.

Parameters:
  `structureTreeElement` - a reference to the structure element

#### getStructureTreeElement

    public StructureTreeElement getStructureTreeElement()

Returns the structure element corresponding to this action.

Returns:
  the reference to the structure element

#### hasID

    public boolean hasID()

Indicates whether the action has an ID and is therefore referencable.

Returns:
  true if the action has an ID

#### isSame

    public abstract boolean isSame(AbstractAction other)

Indicates whether two action are equal. Note: this is not the same as `Object.equals(Object)`!

Parameters:
  `other` - the other action to compare to
Returns:
  true if the actions are equal

#### isComplete

    public boolean isComplete()

Indicates whether the action is complete, i.e has all the required information to be rendered in the target format.

Returns:
  true if the action is complete

#### getIDPrefix

    public String getIDPrefix()

Returns a string that is used to prefix a generated ID to make it unique.

Returns:
  the prefix string